ONVIF::Media::Elements::GetAudioOutputConfigurationResponse(3)

NAME
ONVIF::Media::Elements::GetAudioOutputConfigurationResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetAudioOutputConfigurationResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Configuration

     $element->set_Configuration($data);
     $element->get_Configuration();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetAudioOutputConfigurationResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Configuration =>  { # ONVIF::Media::Types::AudioOutputConfiguration
     OutputToken => $some_value, # ReferenceToken
     SendPrimacy =>  $some_value, # anyURI
     OutputLevel =>  $some_value, # int
   },
 },

AUTHOR
Generated by SOAP::WSDL